Package io.dapr.v1

# Class DaprProtos.UnlockRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>
io.dapr.v1.DaprProtos.UnlockRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.UnlockRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.UnlockRequest

public static final class DaprProtos.UnlockRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder> implements DaprProtos.UnlockRequestOrBuilder
Protobuf type `dapr.proto.runtime.v1.UnlockRequest`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.UnlockRequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.UnlockRequest`
`build()`
`DaprProtos.UnlockRequest`
`buildPartial()`
`DaprProtos.UnlockRequest.Builder`
`clear()`
`DaprProtos.UnlockRequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.UnlockRequest.Builder`
`clearLockOwner()`
`string lock_owner = 3 [json_name = "lockOwner"];`
`DaprProtos.UnlockRequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.UnlockRequest.Builder`
`clearResourceId()`
resource_id is the lock key.
`DaprProtos.UnlockRequest.Builder`
`clearStoreName()`
`string store_name = 1 [json_name = "storeName"];`
`DaprProtos.UnlockRequest.Builder`
`clone()`
`DaprProtos.UnlockRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getLockOwner()`
`string lock_owner = 3 [json_name = "lockOwner"];`
`com.google.protobuf.ByteString`
`getLockOwnerBytes()`
`string lock_owner = 3 [json_name = "lockOwner"];`
`String`
`getResourceId()`
resource_id is the lock key.
`com.google.protobuf.ByteString`
`getResourceIdBytes()`
resource_id is the lock key.
`String`
`getStoreName()`
`string store_name = 1 [json_name = "storeName"];`
`com.google.protobuf.ByteString`
`getStoreNameBytes()`
`string store_name = 1 [json_name = "storeName"];`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.UnlockRequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.UnlockRequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.UnlockRequest.Builder`
`mergeFrom(DaprProtos.UnlockRequest other)`
`final DaprProtos.UnlockRequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.UnlockRequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.UnlockRequest.Builder`
`setLockOwner(String value)`
`string lock_owner = 3 [json_name = "lockOwner"];`
`DaprProtos.UnlockRequest.Builder`
`setLockOwnerBytes(com.google.protobuf.ByteString value)`
`string lock_owner = 3 [json_name = "lockOwner"];`
`DaprProtos.UnlockRequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.UnlockRequest.Builder`
`setResourceId(String value)`
resource_id is the lock key.
`DaprProtos.UnlockRequest.Builder`
`setResourceIdBytes(com.google.protobuf.ByteString value)`
resource_id is the lock key.
`DaprProtos.UnlockRequest.Builder`
`setStoreName(String value)`
`string store_name = 1 [json_name = "storeName"];`
`DaprProtos.UnlockRequest.Builder`
`setStoreNameBytes(com.google.protobuf.ByteString value)`
`string store_name = 1 [json_name = "storeName"];`
`final DaprProtos.UnlockRequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`

### clear

public DaprProtos.UnlockRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`

### getDefaultInstanceForType

public DaprProtos.UnlockRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.UnlockRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.UnlockRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.UnlockRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`

### setField

public DaprProtos.UnlockRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`

### clearField

public DaprProtos.UnlockRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`

### clearOneof

public DaprProtos.UnlockRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`

### setRepeatedField

public DaprProtos.UnlockRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`

### addRepeatedField

public DaprProtos.UnlockRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`

### mergeFrom

public DaprProtos.UnlockRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.UnlockRequest.Builder>`

### mergeFrom

public DaprProtos.UnlockRequest.Builder mergeFrom(DaprProtos.UnlockRequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`

### mergeFrom

public DaprProtos.UnlockRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.UnlockRequest.Builder>`
Throws:
  `IOException`

### getStoreName

public String getStoreName()
`string store_name = 1 [json_name = "storeName"];`

Specified by:
  `getStoreName` in interface `DaprProtos.UnlockRequestOrBuilder`
Returns:
  The storeName.

### getStoreNameBytes

public com.google.protobuf.ByteString getStoreNameBytes()
`string store_name = 1 [json_name = "storeName"];`

Specified by:
  `getStoreNameBytes` in interface `DaprProtos.UnlockRequestOrBuilder`
Returns:
  The bytes for storeName.

### setStoreName

public DaprProtos.UnlockRequest.Builder setStoreName(String value)
`string store_name = 1 [json_name = "storeName"];`

Parameters:
  `value` - The storeName to set.
Returns:
  This builder for chaining.

### clearStoreName

public DaprProtos.UnlockRequest.Builder clearStoreName()
`string store_name = 1 [json_name = "storeName"];`

Returns:
  This builder for chaining.

### setStoreNameBytes

public DaprProtos.UnlockRequest.Builder setStoreNameBytes(com.google.protobuf.ByteString value)
`string store_name = 1 [json_name = "storeName"];`

Parameters:
  `value` - The bytes for storeName to set.
Returns:
  This builder for chaining.

### getResourceId

public String getResourceId()

     resource_id is the lock key.

`string resource_id = 2 [json_name = "resourceId"];`

Specified by:
  `getResourceId` in interface `DaprProtos.UnlockRequestOrBuilder`
Returns:
  The resourceId.

### getResourceIdBytes

public com.google.protobuf.ByteString getResourceIdBytes()

     resource_id is the lock key.

`string resource_id = 2 [json_name = "resourceId"];`

Specified by:
  `getResourceIdBytes` in interface `DaprProtos.UnlockRequestOrBuilder`
Returns:
  The bytes for resourceId.

### setResourceId

public DaprProtos.UnlockRequest.Builder setResourceId(String value)

     resource_id is the lock key.

`string resource_id = 2 [json_name = "resourceId"];`

Parameters:
  `value` - The resourceId to set.
Returns:
  This builder for chaining.

### clearResourceId

public DaprProtos.UnlockRequest.Builder clearResourceId()

     resource_id is the lock key.

`string resource_id = 2 [json_name = "resourceId"];`

Returns:
  This builder for chaining.

### setResourceIdBytes

public DaprProtos.UnlockRequest.Builder setResourceIdBytes(com.google.protobuf.ByteString value)

     resource_id is the lock key.

`string resource_id = 2 [json_name = "resourceId"];`

Parameters:
  `value` - The bytes for resourceId to set.
Returns:
  This builder for chaining.

### getLockOwner

public String getLockOwner()
`string lock_owner = 3 [json_name = "lockOwner"];`

Specified by:
  `getLockOwner` in interface `DaprProtos.UnlockRequestOrBuilder`
Returns:
  The lockOwner.

### getLockOwnerBytes

public com.google.protobuf.ByteString getLockOwnerBytes()
`string lock_owner = 3 [json_name = "lockOwner"];`

Specified by:
  `getLockOwnerBytes` in interface `DaprProtos.UnlockRequestOrBuilder`
Returns:
  The bytes for lockOwner.

### setLockOwner

public DaprProtos.UnlockRequest.Builder setLockOwner(String value)
`string lock_owner = 3 [json_name = "lockOwner"];`

Parameters:
  `value` - The lockOwner to set.
Returns:
  This builder for chaining.

### clearLockOwner

public DaprProtos.UnlockRequest.Builder clearLockOwner()
`string lock_owner = 3 [json_name = "lockOwner"];`

Returns:
  This builder for chaining.

### setLockOwnerBytes

public DaprProtos.UnlockRequest.Builder setLockOwnerBytes(com.google.protobuf.ByteString value)
`string lock_owner = 3 [json_name = "lockOwner"];`

Parameters:
  `value` - The bytes for lockOwner to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.UnlockRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`

### mergeUnknownFields

public final DaprProtos.UnlockRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnlockRequest.Builder>`